Debian Bug report logs - #417757
apex-nslu2: apexenv does not set force parameter for eraseenv

version graph

Package: apex-nslu2; Maintainer for apex-nslu2 is Marc Singer <elf@debian.org>; Source for apex-nslu2 is src:apex.

Reported by: "Gordon Farquharson" <gordonfarquharson@gmail.com>

Date: Wed, 4 Apr 2007 14:12:06 UTC

Severity: normal

Found in version apex/1.4.15

Fixed in version apex/1.6.9

Done: Marc Singer <elf@buici.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Marc Singer <elf@debian.org>:
Bug#417757; Package apex-nslu2. Full text and rfc822 format available.

Acknowledgement sent to "Gordon Farquharson" <gordonfarquharson@gmail.com>:
New Bug report received and forwarded. Copy sent to Marc Singer <elf@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Gordon Farquharson" <gordonfarquharson@gmail.com>
To: submit@bugs.debian.org
Subject: apex-nslu2: apexenv does not set force parameter for eraseenv
Date: Wed, 4 Apr 2007 08:06:28 -0600
Package: apex-nslu2
Version: 1.4.15
Severity: normal

Debian/etch APEX MTD partitions are padded with zeros as opposed to
0xffs which means that the configuration environment cannot be edited
with apex-env. 'apex-env eraseenv' does fill the partition with 0xffs,
but one needs to use the force command line parameter to force the
program to ignore the zero padding. However, apex-env does not work
with and also ignores the force parameter.

$ sudo apex-env eraseenv
error: use force option to erase region containing foreign data
Try `apex-env --help' or `apex-env --usage' for more information.

$ sudo apex-env eraseenv --force
Password:
apex-env: unrecognized option `--force'
Try `apex-env --help' or `apex-env --usage' for more information.

It actually looks like the force parameter is never parsed, so the
force parameter of the method eraseenv can't be changed from the
apex-env command line, and therefore is always false:

usr/link.h:

 void eraseenv (bool force = false);


usr/apex-env.cc:

void cmd_eraseenv (Link& link, int argc, const char** argv)
{
 if (argc == 1)
   link.eraseenv ();
 else
   throw "incorrect number of command arguments";
}


usr/Link.cc:

void Link::eraseenv (bool force)
{
 if (m_state == envNull)
   throw "no writable environment available";
 if (m_state == envNoWrite && !force)
   throw "use force option to erase region containing foreign data";

 char rgb[cbEnv];
 memset (rgb, 0xff, sizeof (rgb));

 if (   ::lseek (fhEnvBlock, ibEnv, SEEK_SET) != ibEnv
     || ::write (fhEnvBlock, rgb, cbEnv) != cbEnv)
     throw "failed to write environment";
}


-- System Information:
Debian Release: 4.0
 APT prefers testing
 APT policy: (500, 'testing')
Architecture: arm (armv5tel)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.18-4-ixp4xx
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)

-- no debconf information


Gordon

-- 
Gordon Farquharson



Information forwarded to debian-bugs-dist@lists.debian.org, Marc Singer <elf@debian.org>:
Bug#417757; Package apex-nslu2. Full text and rfc822 format available.

Acknowledgement sent to Kevin Price <kp@kevin-price.de>:
Extra info received and forwarded to list. Copy sent to Marc Singer <elf@debian.org>. Full text and rfc822 format available.

Message #10 received at 417757@bugs.debian.org (full text, mbox):

From: Kevin Price <kp@kevin-price.de>
To: Gordon Farquharson <gordonfarquharson@gmail.com>
Cc: 417757@bugs.debian.org
Subject: Re: apex-nslu2: apexenv does not set force parameter for eraseenv
Date: Mon, 19 May 2008 02:39:21 +0200
[Message part 1 (text/plain, inline)]
Gordon Farquharson schrieb:
> Package: apex-nslu2
> Version: 1.4.15
> Severity: normal
> 
> program to ignore the zero padding. However, apex-env does not work
> with and also ignores the force parameter.

Hi Gordon!

This bug has been fixed between versions 1.5.8 and 1.5.10. The lenny
version is older than that, but maybe we'll see 1.5.13 in unstable soon,
which would close this bug.

Best regards
-- 
Kevin Price
http://www.kevin-price.de/

[signature.asc (application/pgp-signature, attachment)]

Reply sent to Marc Singer <elf@buici.com>:
You have taken responsibility. (Mon, 18 May 2009 17:21:04 GMT) Full text and rfc822 format available.

Notification sent to "Gordon Farquharson" <gordonfarquharson@gmail.com>:
Bug acknowledged by developer. (Mon, 18 May 2009 17:21:04 GMT) Full text and rfc822 format available.

Message #15 received at 417757-close@bugs.debian.org (full text, mbox):

From: Marc Singer <elf@buici.com>
To: 417757-close@bugs.debian.org
Subject: Bug#417757: fixed in apex 1.6.9
Date: Mon, 18 May 2009 17:02:17 +0000
Source: apex
Source-Version: 1.6.9

We believe that the bug you reported is fixed in the latest version of
apex, which is due to be installed in the Debian FTP archive:

apex-nslu2_1.6.9_armel.deb
  to pool/main/a/apex/apex-nslu2_1.6.9_armel.deb
apex_1.6.9.dsc
  to pool/main/a/apex/apex_1.6.9.dsc
apex_1.6.9.tar.gz
  to pool/main/a/apex/apex_1.6.9.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 417757@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Marc Singer <elf@buici.com> (supplier of updated apex package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 17 May 2009 18:10:37 -0700
Source: apex
Binary: apex-nslu2
Architecture: source armel
Version: 1.6.9
Distribution: unstable
Urgency: low
Maintainer: Marc Singer <elf@debian.org>
Changed-By: Marc Singer <elf@buici.com>
Description: 
 apex-nslu2 - APEX Boot Loader for Linksys NSLU2
Closes: 417757 471476 481736 481843 481846 481848
Changes: 
 apex (1.6.9) unstable; urgency=low
 .
   * Including some entries from previous changlog to make sure bugs get
     closed.
   * Added CONFIG_AEABI=y to armel (and all configurations). (closes: #481848)
   * Added shlib dependencies for the sake of apex-env. (closes: #481846)
   * Revised copyright messages, again, to remove all references to the FSF
     address.
   * Removed FSF info from every file and point to debian/copyright file
     instead. (closes: #481843) (closes: #481736)
   * Removed rtc-x1205.probe=0,0x6f and rtc-pcf8563.probe=0,0x51 from
     kernel command lines. (closes: #471476)
   * Removed warnings is usr/ tools build.
   * The --force option to apex-env was fixed in a previous release.
     (closes: #417757)
Checksums-Sha1: 
 17cbde2892cf3376659d8038879975febdec95dc 694 apex_1.6.9.dsc
 637117d3ac30168281f36879d20bf67d556319de 5688842 apex_1.6.9.tar.gz
 ef3792d8c98b4beb1dee393bf646f8385287a301 84328 apex-nslu2_1.6.9_armel.deb
Checksums-Sha256: 
 711c94f340ca40e61aaac347878e9516e2940879f966def93c8c46ad232947d6 694 apex_1.6.9.dsc
 3bacc156f667c198b67042d07cdc1ed823d52e1ac71c28f7a417e3a5ef68e496 5688842 apex_1.6.9.tar.gz
 64c005618cf30eb6fef1aa303b6140e4a8b8e6168627ad1454db4b7d539bb4a2 84328 apex-nslu2_1.6.9_armel.deb
Files: 
 6810758b749dd7483b0425acddca64f6 694 admin optional apex_1.6.9.dsc
 0ffa1509c48b2b85768b4b64e659bc88 5688842 admin optional apex_1.6.9.tar.gz
 0e4ff6b36dcc8fdae58587b969000c39 84328 admin optional apex-nslu2_1.6.9_armel.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFKEZHOV+jOBy6uXS0RAkcnAKCHVJJ0WRzl+wjBn3uO7qVaWuz+lgCfRqVz
mkAazi9pp+hOlnQ3cd4u2wo=
=Wdgq
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 16 Jun 2009 07:31:30 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 10:54:03 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.